Download it now!
Bug 85486 - Clean up unnecessary enumerations from xenum.hxx
Summary: Clean up unnecessary enumerations from xenum.hxx
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Radu
URL:
Whiteboard: target:4.5.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicCleanup
Depends on:
Blocks:
 
Reported: 2014-10-26 16:48 UTC by Miklos Vajna
Modified: 2016-02-18 16:37 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Miklos Vajna 2014-10-26 16:48:09 UTC
include/svx/xenum.hxx contains a number of enumerations which have a published UNO enumeration form as well (note that these enumerations have exactly the same values in the .hxx and .idl files).

Commit 1e6ff8f7f8b5322bed7a1b4483f2f483b00212ba does one such conversion: it removes XFillStyle and replaces it with css::drawing::FillStyle.

Remaining similar conversions:

1) XLineStyle -> css::drawing::LineStyle
2) XDashStyle -> css::drawing::DashStyle
3) XGradientStyle -> css::awt::GradientStyle
4) XHatchStyle -> css::awt::HatchStyle

The remaining enumerations in that header have no 1:1 UNO equivalents.
Comment 1 Tim Lloyd 2014-10-27 04:11:21 UTC
Hi, I am trying to build some knowledge of LO software. I downloaded the software from the git repository and I run a "git pull" & "make" every night to keep up to date.

I have searched the net but I can not find out how to look at commit 1e6ff8f7f8b5322bed7a1b4483f2f483b00212ba if someone could pls advise?

Cheers
Comment 2 Terrence Enger 2014-10-27 04:57:10 UTC
Tim,

One way to see a commit, when you have internet access, is:

(1) Browse to <http://cgit.freedesktop.org/libreoffice/core/log/>.

(2) From dropdown list, choose criterion "range"; enter the first
    several charactes of the commit id as the search value; and click
    button <search>.

(3) Click on the first commit message in the resulting list.

(4) Choose "diff options" according to taste.

HTH,
Terry.
Comment 3 Tim Lloyd 2014-10-27 05:42:15 UTC
thanks for the precise instructions Terry. I can now see the diffs which I will absorb.

Cheers
Comment 4 Commit Notification 2014-11-23 17:16:56 UTC
Radu Ioan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7528b498b634f0d96a710afc7faf20299cc5792d

fdo#85486 - Clean up unnecessary enumerations from xenum.hxx

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2014-12-11 17:31:42 UTC
Radu Ioan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c69f481d792c7b121479d024cf675f6ddb747422

fdo#85486 - Clean up unnecessary enumerations from xenum.hxx

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2014-12-12 20:22:43 UTC
Radu Ioan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3c77eba67b61b4f78f2c8ccec6c78622ee173b61

fdo#85486 - Clean up unnecessary enumerations from xenum.hxx

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Miklos Vajna 2014-12-12 20:24:30 UTC
Marking as fixed, well done! :-)
Comment 8 Robinson Tryon (qubit) 2015-12-15 23:58:32 UTC
Migrating Whiteboard tags to Keywords: (EasyHack DifficultyBeginner SkillCpp TopicCleanup)
[NinjaEdit]
Comment 9 Robinson Tryon (qubit) 2016-02-18 16:37:33 UTC
Remove LibreOffice Dev List from CC on EasyHacks
(curtailing excessive email to list)
[NinjaEdit]